Skip to navigation

Pre Encounter Organization External Providers V 1 Update

Updates an organization external provider. The path must contain the next version number to prevent race conditions. For example, if the current version of the provider is n, you will need to send a request to this endpoint with /{id}/n+1 to update the provider. Updating historic versions is not supported. BadRequestError is returned when the NPI is already in use by another provider.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier for an OrganizationExternalProvider in the database
versionstringRequired

Request

This endpoint expects an object.
nameobjectRequired
typeslist of enumsRequired
Allowed values:
npistring or nullOptional
tax_idstring or nullOptional
taxonomy_codestring or nullOptional
phone_numberstring or nullOptional
other_phone_numberslist of strings or nullOptional
fax_numberstring or nullOptional
other_fax_numberslist of strings or nullOptional
emailslist of strings or nullOptional
license_typeenum or nullOptional
addresseslist of objects or nullOptional

Response

deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
idstringformat: "uuid"
The unique identifier for an OrganizationExternalProvider in the database
nameobject
organization_idstring
The organization that owns this object.
typeslist of enums
Allowed values:
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
addresseslist of objects or nullOptional
emailslist of strings or nullOptional
fax_numberstring or nullOptional
license_typeenum or nullOptional
npistring or nullOptional
other_fax_numberslist of strings or nullOptional
other_phone_numberslist of strings or nullOptional
phone_numberstring or nullOptional
tax_idstring or nullOptional
taxonomy_codestring or nullOptional

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error